#ifndef RENDER_WND_MAIN_H
#define RENDER_WND_MAIN_H
#include <QMainWindow>
#include "wnd_resource.h"
#include "wnd_hierachy.h"
#include "wnd_inspector.h"
#include "wnd_debug.h"


class QBoxLayout;
class WndMain : QMainWindow {
    Q_OBJECT

public:
    WndMain();
    ~WndMain() override;

protected:
    void closeEvent(QCloseEvent *event) override;

private:
    void InitRenderWindow() const;
    void InitDesign();

private:
    QWidget *m_central{};
    WndResource *m_WndResource{};
    WndHierachy *m_WndHierachy{};
    WndDebug *m_WndDebug{};
    WndInspector *m_WndInspector{};
};















#endif //RENDER_WND_MAIN_H
